import request from '@/utils/request'


// 查询经销商列表
export function listSaleSite(urlParams, data) {
  return request({
    url: '/api/v1/mp/admin/salesite/list',
    method: 'post',
    data: data,
    urlParams: urlParams
  })
}

// 查询所有经销商列表
export function listAllSaleSite() {
  return request({
    url: '/api/v1/mp/admin/salesite/listAll',
    method: 'post'
  })
}

// 导出经销商信息
export function salesiteOrderExport( data) {
  return request({
    url: '/api/v1/mp/admin/salesite/export',
    method: 'post',
    data: data,
  })
}

export function getSaleSiteDetail(channelId) {
  return request({
    url: '/api/v1/mp/admin/salesite/detail',
    method: 'post',
    data: {
      channelId
    }
  })
}

// 新增经销商
export function addSaleSite(data) {
  return request({
    url: '/api/v1/mp/admin/salesite/create',
    method: 'post',
    data: data
  })
}

// 修改经销商名称
export function updateSaleSite(data) {
  return request({
    // url: '/api/v1/mp/admin/salesite/update',
    url: '/api/v1/mp/admin/salesite/edit',
    method: 'post',
    data: data
  })
}


//编辑经销商用户状态信息
export function updateSaleSiteStatus(data) {
  return request({
    url: '/api/v1/mp/admin/salesite/status',
    method: 'post',
    data: data
  })
}
